Finish an upload
curl --request POST \
--url https://api.creatorline.io/v1/uploads/{id}/complete \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.creatorline.io/v1/uploads/{id}/complete"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.creatorline.io/v1/uploads/{id}/complete', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "asset",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"title": "<string>",
"ratio": "<string>",
"duration_sec": 123,
"url": "<string>",
"thumbnail_url": "<string>",
"mime_type": "<string>",
"size_bytes": 123,
"source": "<string>",
"status": "<string>",
"tool": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"error": {
"type": "invalid_request_error",
"code": "invalid_parameter",
"message": "This asset was not created by POST /v1/uploads.",
"param": "id"
},
"request_id": "req_8fQ2mRxK1pLd"
}{
"error": {
"type": "authentication_error",
"code": "invalid_api_key",
"message": "Missing or invalid API key."
},
"request_id": "req_8fQ2mRxK1pLd"
}{
"error": {
"type": "permission_error",
"code": "insufficient_scope",
"message": "This API key is read-only. Create a key with the `write` scope to run generations."
},
"request_id": "req_8fQ2mRxK1pLd"
}{
"error": {
"type": "not_found_error",
"code": "resource_missing",
"message": "No such generation."
},
"request_id": "req_8fQ2mRxK1pLd"
}Assets
Finish an upload
Tell us the bytes landed. Flips the asset to ready and kicks off thumbnailing/transcoding. Idempotent: completing a finished asset returns it again.
POST
/
v1
/
uploads
/
{id}
/
complete
Finish an upload
Authorizations
bearerAuthapiKeyHeader
Your organization's API key, from Settings → API. Authorization: Bearer crl_sk_live_…
Path Parameters
Response
The finished asset.
Available options:
asset Available options:
image, video, audio Fetchable media URL. TIME-LIMITED for stored objects — download, do not cache.
⌘I